//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_H
#define GF_H

#include <input/gfile.h>
#include <input/gupdate.h>
#include <input/gserver.h>

#include <render/gpixmap.h>

#ifdef GWITH_TCL
#include "gftcl.h"
#endif

#include "gfaxis.h"
#include "gfblock.h"
#include "gfcylnd.h"
#include "gfellip.h"
#include "gfframe.h"
#include "gfimage.h"
#include "gfmline.h"
#include "gfmsymb.h"
#include "gfoffpl.h"
#include "gfpolyg.h"
#include "gfrot.h"
#include "gfsphere.h"
#include "gfsurf.h"
#include "gfswept.h"
#include "gfsweepp.h"
#include "gfsymbol.h"
#include "gftop.h"
#include "gftext.h"

#include "gffilter.h"
#include "gfmanip.h"
#include "gfmover.h"

#include "gflight.h"

#include "gfscene.h"
#include "gflookat.h"
#include "gfpixmap.h"

#include "gfoutput.h"

#include "gfcut.h"
#include "gfdatabs.h"

#endif

