//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_CUT_H
#define GF_CUT_H

#include <strstream.h>
#include "gfprimtv.h"

//@ManMemo: A cut buffer realization based on string stream.
class GFCutBuffer {
  public:
    GFCutBuffer(void): mStream(0) {}
    ~GFCutBuffer(void) {
	gkillPointer(mStream);
    }

    void cut(GFPrimitive*);
    void copy(GFPrimitive*);
    void paste(void);
  private:
    ostrstream* mStream;
};

extern GFCutBuffer gfCutBuffer;

#endif
