//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_DEVICE_H
#define GF_DEVICE_H

#include <input/gdevice.h>
#include "gfobject.h"

//@ManMemo: Base class for hi-level GF input devices.
class GFInputDevice: public GInputDevice, public GFObject {
  protected:    
    //@ManMemo: Device initialization.
    GFInputDevice(const char* pName, GInputDevice* pFather 
		  = (GInputDevice*)gNoInputDevice): GInputDevice(pFather), GFObject(pName) {}
  public:
#ifdef GWITH_TCL
    virtual bool objectCMD(GFArgs);
#endif
};

#endif
