//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_GRAPHICAL_DATA_H
#define G_GRAPHICAL_DATA_H

#include "ggeneric.h"
#include "gstorabl.h"

//@ManMemo: Multiple referenceable data.
class GGraphicalData: public GStorable {
  protected:
    GGraphicalData(): mRefCnt(0) {}
  public:
    void ref(void) { mRefCnt++; }
    bool deref(void) {
	// return true if object may be deleted 
	assert(mRefCnt);
	return(--mRefCnt ? false : true);
    }
  private:
    int mRefCnt;
};

#endif
