//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_PRIMITIVE_H
#define G_PRIMITIVE_H

#include "render/grender.h"
#include "util/gtempl.h"

//@ManMemo: Basic G primitive.
class GPrimitive {
  public:
};

enum GBinaryMode {
    G_UNION, G_INTERSECTION, G_DIFFERENCE
};

class GBinaryPrimitive: public GPrimitive {
  public:
    GBinaryPrimitive(GBinaryMode, GBinaryPrimitive&);
  private:
    GBinaryPrimitive& mFather;
    GBinaryPrimitive& mLeft;
    GBinaryPrimitive& mRight;
};

#endif
