//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_ATTRIBUTE_H
#define G_ATTRIBUTE_H

#include "gdata.h"

//@ManMemo: Generic attribute type.
class GAttribute: public GGraphicalData {
  public:
    bool getExist(void) const {
	return(mRef ? false : true);
    }
  protected:
    GAttribute(const GAttribute& pRef) {
	setReference(pRef);
    }

    void setExist(void) {
	mRef = 0;
    }
  public:
    void setReference(const GAttribute& pRef) {
	mRef = &pRef;
    }
    const GAttribute& getReference(void) const {
	if (mRef) return(*mRef);
	else return(*this);
    }
  private:
    const GAttribute* mRef;
};

#endif
