//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_REALIZATION_H
#define G_REALIZATION_H

class GEvent;

//@ManMemo: Abstract base class of all objects to render in.
class GRealization {
  public:
    // Non-blocking event polling.
    // A dynamically created event will be returned or 0.
    // The event has to be deleted by the caller.
    virtual GEvent* getEvent(void) { return(0); }
    // activate the realization:
    virtual void activate(void) {}
};

#endif 
