//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "gx/gx_defs.h"

GXIntStat GXStatistics::BBox = {0, 0, 0, 0};
GXIntStat GXStatistics::Sphere = {0, 0, 0, 0};
GXIntStat GXStatistics::Polygon = {0, 0, 0, 0};
GXIntStat GXStatistics::Cone = {0, 0, 0, 0};

long GXStatistics::EyeRays = 0L;
long GXStatistics::ReflectionRays = 0L;
long GXStatistics::RefractionRays = 0L;
long GXStatistics::ShadowRays = 0L;

long GXStatistics::ShadowHits = 0L;
long GXStatistics::ShadingHits = 0L;

long GXStatistics::ShadowLastObjectHits = 0L;
long GXStatistics::ShadowLastVoxelHits = 0L;
long GXStatistics::ShadingLastObjectHits = 0L;
long GXStatistics::ShadingLastVoxelHits = 0L;
long GXStatistics::LastNearestHits = 0L;
long GXStatistics::MailBoxHits = 0L;


long GXStatistics::HOT_NumShadingVoxels = 0L;
long GXStatistics::HOT_NumObjsInShadingVoxels = 0L;
long GXStatistics::HOT_NumShadowVoxels = 0L;
long GXStatistics::HOT_NumObjsInShadowVoxels = 0L;
long GXStatistics::BSP_NumShadingVoxels = 0L;
long GXStatistics::BSP_NumObjsInShadingVoxels = 0L;
long GXStatistics::BSP_NumShadowVoxels = 0L;
long GXStatistics::BSP_NumObjsInShadowVoxels = 0L;


int GXOptions::PixWidth = 0;
int GXOptions::PixHeight = 0;
char GXOptions::OutFileName[255] = "data.tga";

int GXOptions::BSP_MaxObjInNode = 8; 
int GXOptions::BSP_MaxPartitionLevel = 8; 

int GXOptions::HOT_MaxObjInNode = 8; 
int GXOptions::HOT_MaxPartitionLevel = 4; 


int GXOptions::PrimaryAcceleration = GX_BUF;
int GXOptions::SecondaryAcceleration = GX_BSP;
int GXOptions::ShadowAcceleration = GX_BUF;

bool GXOptions::ABVHFlag= false;
bool GXOptions::DisplayFlag=true;
bool GXOptions::OutputFlag=false;
bool GXOptions::VerboseFlag=true;
bool GXOptions::PauseFlag=true;

bool GXOptions::Antialiasing=false;
int GXOptions::MaxSamples = 9;
int GXOptions::MinSamples = 4;
int GXOptions::NumCandidates = 10;
GVector3 GXOptions::ContrastThreshold(0.4, 0.3, 0.6); 
// after Mitchell









