//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "goutput.h"
#include "render/gshade.h"
#include "render/gpixmap.h"
#include "util/gtcl.h"

// class GShadable:

GShadable::~GShadable(void) {}

void GShadable::setMatrix(const GMatrix4&) {}

void GShadable::unsetMatrix(void) {}

void GShadable::setSurface(const GSurface&) {}

void GShadable::openDisplayList(void) {}

void GShadable::closeDisplayList(void) {}

void GShadable::callDisplayList(void) const {} 

// class GShadableQuadmesh:

void GShadableQuadmesh::shade(void) {}

void GShadablePolyline::shade(void) {}

void GShadablePolygon::shade(void) {}

void GShadablePolyhedron::shade(void) {}

// class GPixmapDisplay:

class GPixmapDisplayData {};

GPixmapDisplay::GPixmapDisplay(const GString& pName, int pWidth, int pHeight): mWidth(pWidth), mHeight(pHeight) {}
	  
GPixmapDisplay::~GPixmapDisplay(void) {}  

void GPixmapDisplay::swapBuffers(void) {}

GEvent* GPixmapDisplay::getEvent(void) { 
    return(0);
}

void GPixmapDisplay::activate() {}

void GPixmapDisplay::putPixel(int x, int y, const GColorRGB& colr) {}

GColorRGB GPixmapDisplay::getPixel(int pX, int pY) { return(GColorRGB(0, 0, 0)); }

void GPixmapDisplay::clear(const GColorRGB& colr) {}

void gShaderSetLookatMatrix(const GLookatCamera& r, const GPixmapDisplay& p) {}

void gShaderUnsetMatrix(const GLookatCamera& r, const GPixmapDisplay& p) {}

int gGetID(void) {
    return(0);
}

void gFreeID(int) {}

// light sources:

void GShadePointLight::shade(void) {}

void GShadeAmbientLight::shade(void) {}

// initialization (true if sucessful):
bool gInitialize(void) { 
#ifdef GWITH_TCL
    if (!gGlobalInterp) gGlobalInterp = Tcl_CreateInterp();
#endif
    return(true); 
}

