//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_MEASUREMENT_H
#define GF_MEASUREMENT_H

#include "gfprimtv.h"

extern const GString gfMeasurementID;
extern bool gfMeasurement;
extern const GSurface gfMeasurementSurface;

//@ManMemo: Abstract base class for measurements.
class GFMeasurement: public GFPrimitive {
  protected:
    GFMeasurement(const char* pName, GFPrimitive* pFather): 
    GFPrimitive(pName, pFather) {}
  public:
    virtual bool isA(const GString& pString) const {
	return(pString == gfMeasurementID);
    }
};

#endif
