//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_OUTPUT_H
#define GF_OUTPUT_H

#include <goutput.h>
#include <util/gtcl.h>

//@ManMemo: Overloaded output class for GF kernel.
class GFOutput: public GSystemOutput {
  public:
    GFOutput(void) {
	setProgram("EGR GF");
    }

    virtual void special(const char*) {}
    virtual void specialVar(const char* ...) {}

    virtual void message(const char*);
    virtual void messageVar(const char* ...);

    virtual void warning(const char*);
    virtual void warningVar(const char* ...);
    
    virtual void error(const char*);
    virtual void errorVar(const char*...);
  private:
    static GString sString;
    void eval(void) {
	gTclGlobalEval(sString);
    }
};

#endif
