//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef GF_TYPES_H
#define GF_TYPES_H

#include <render/grender.h>
#include <render/gshade.h>
#include <render/graycam.h>
#include <render/gpixmap.h>
#include <util/gtempl.h>
#include <util/gspline.h>

#include "gfprimtv.h"

typedef GAggregate<GPoint2> GFPolygon2D;
typedef GAggregate<GPoint3> GFPolygon3D;
typedef GLookatShader<GFPrimitive, GPixmapDisplay> GFLookatShader;
typedef GLookatRayTracer<GFPrimitive, GPixmapDisplay> GFLookatRayTracer;

typedef GAggregate<GSurfaceVertex> GFSurface3D;
typedef GAggregate<GCurveVertex> GFCurve3D;

#endif
