//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef __GX_MACRO_H__
#define __GX_MACRO_H__

//// some constants
#ifndef M_PI
#define M_PI		3.141592	
#endif
#ifndef M_E
#define M_E		2.718282	
#endif
#ifndef M_PITIMES2
#define M_PITIMES2	6.283185	
#endif
#ifndef M_PIOVER2
#define M_PIOVER2	1.570796	
#endif
#ifndef M_SQRT2
#define M_SQRT2		1.414214	
#endif
#ifndef M_SQRT3
#define M_SQRT3		1.732051	
#endif
#ifndef M_GOLDEN
#define M_GOLDEN	1.618034	
#endif

// convert degrees to radians 
#ifndef M_D2R
#define M_D2R		0.017453	
#endif

// convert radians to degrees 
#ifndef M_R2D
#define M_R2D		57.29578       
#endif

#ifndef TRUE
#define TRUE		1
#define FALSE		0
#endif
    
#ifndef ON
#define ON		1
#define OFF		0
#endif


#endif
