//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_FILE_H
#define G_FILE_H

#include "input/gdevice.h"

//@ManMemo: A File input device.
class GFileDevice: public GInputDevice {
/*@DOC:
An input device for handling special file descriptors.
*/
  public:
    GFileDevice(long pFD, int pMode): GInputDevice((GInputDevice*)gNoInputDevice), mFD(pFD), mMode(pMode) {}
    virtual bool event(GEvent*); 
  private:
    long mFD; 
    // the file descriptor
    int mMode; 
    // the access mode
};

#endif
