//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#ifndef G_SELECT_H
#define G_SELECT_H

#ifdef GSYSTEM_V

#include <sys/time.h>
#include <sys/types.h>

#ifdef GAIX

#include <sys/select.h>

#endif

#ifdef GHPUX
extern "C" int select(int, int*, int*, int*, struct timeval*);
#else
#ifndef GAIX
extern "C" int select(int, fd_set*, fd_set*, fd_set*, struct timeval*);
#endif
#endif

#endif

#endif
