//////////////////////////////////////////////////////////////////////////////
//  This file belongs to the GENERIC 3D kernel, Version 1.5.
//  Copying, distribution and legal info is in the file COPYRGHT which should
//  be distributed with this file. If COPYRGHT is not available or for more
//  info please contact	generic@prakinf.tu-ilmenau.de (in English, please).
//  This project is sponsored by EasternGraphics GmbH, Germany.
/////////// (C) '96 Ekkehard 'Ekki' Beier - All rights reserved. /////////////
#include "input/gserver.h"
#include "input/gselect.h"

GInputServer gInputServer;

void GInputServer::event(void) {
    static GPollInputDeviceIterator<GInputDevice> tIter(0);
    mIDList.doWithElements(tIter);
    if (tIter.sleep()) {

#ifdef GSYSTEM_V
	struct timeval tv;
	tv.tv_usec = 1000; 
	tv.tv_sec = 0;
	select(0, 0, 0, 0, &tv);
#endif
    }
}

void gInputLoop(void) {
    while (1) gInputServer.event();
}
